player = {}
player.x = 10
player.y = 10
player.speed = 0.5
player.health = 20
player.damage = 2
player.moving = false
player.facing = 1
player.images = {}
player.offsetX = 0

player.images["idle"] = love.graphics.newImage("textures/character_idle.png")
player.images["moving"] = love.graphics.newImage("textures/character_right.png")

function love.keypressed(key)
	if key == "left" or key == "right" then player.moving = true end
	if key == "left" then player.facing = -1 end
	if key == "right" then player.facing = 1 end
end

function love.keyreleased(key)
   if key == "left" and love.keyboard.isDown("right") then 
		player.facing = 1
	elseif key == "right" and love.keyboard.isDown("left") then 
		player.facing = -1
	else
		player.moving = false
	end
end

function player_draw()
	player.currentImage = player.images[player.moving and  "moving" or "idle"]
	player.offsetX = math.floor(player.currentImage:getWidth()/2)
	love.graphics.setColor(255,255,255)
	love.graphics.draw(player.currentImage, player.x - player.offsetX, player.y, 0, player.facing, 1, player.offsetX, 1)
end

function player_mobility()
	if love.keyboard.isDown("up") then
		player.y = player.y - player.speed
	end
	if love.keyboard.isDown("down") then
		player.y = player.y + player.speed
	end
	if love.keyboard.isDown("left") then
		player.x = player.x - player.speed
	end
	if love.keyboard.isDown("right") then
		player.x = player.x + player.speed
	end
	if love.keyboard.isDown("lshift") then
		player.speed = 1.5
	else
		player.speed = 0.5
	end
end